Skip to main content
PATCH
Update payment link

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

name
string
Required string length: 1 - 255
type
enum<string>
Available options:
PRODUCT,
SUBSCRIPTION,
SUBSCRIPTION_V2,
LICENSE,
PAY_WHAT_YOU_WANT,
FIXED_PRICE
description
string | null
Maximum string length: 255
status
price
suggested_price
min_price
max_price
currency
string
gateways
string
products_ids
string
suggested_amount
min_amount
max_amount
discount_code_allowed
customer_address_required
customer_phone_required
cta
string
show_confirmation_page
return_url
string | null
Maximum string length: 255

Response

200 - application/json

Successful response

The response is of type object.